<script>
import SVG from "@/components/svg.svelte"

import { isLight } from "@/stores/static"

$: socials = [
	{ href: "https://www.instagram.com/dubaicarental/", icon: "instagram" },
	{ href: "https://api.whatsapp.com/send?phone=+971554937521", icon: "whatsapp" },
	{ href: "tg://resolve?domain=AnnaDCR", icon: "telegram" }
]
</script>

<div 
	class="socials is-flex is-align-items-center is-justify-content-center"
	class:dark={!$isLight}>
	{#each socials as social}
	<a href={social.href} target="_blank" rel="noreferrer" class="social is-flex is-align-items-center is-justify-content-center {social.icon}">
		<SVG folder="socials" name={social.icon} />
	</a>
	{/each}
</div>

<style lang="scss">
	.socials {
		margin-right: 1.25rem;
		margin-left: auto;

		&.dark {
			.social {
				background: #1F1F1F;
			}
		}
	}

	.social {
		width: 2rem;
		height: 2rem;
		background: $black;
		border-radius: 50%;
		transition: background .2s ease-in-out;
		&.telegram {
			:global(svg) {
				margin-left: -4px;
			}
		}
		&:not(:last-of-type) {
			margin-right: 1rem;
		}
	}
</style>